#define CLASS_SSHEET 		"TABLE CTRL"
#define COLJUST_CENTER 		0x0001
#define COLJUST_LEFT   		0x0002
#define COLJUST_RIGHT  		0x0003
#define MAKEROWCOL(a, b)   (((WORD)(((WORD)(b)) | (((WORD)(a)) << 6))))
#define SSHEETID				"SSheet Custom Control By A. Shadman Co. Ver 1.0"

/*
	***********************************************************************
	*                   SPREADSSHEET DATA TYPES                           *
	***********************************************************************
*/

typedef struct tagSSHTCREATESTRUCT
{
	char		szID[80] ;
	int      nRows ;
	int      nCols ;
	int      nRowAnchor ;
	int      nColAnchor ;
	int	   nCurrentRow ;
	int	   nCurrentCol ;

} SSHTCREATESTRUCT ;


/*
	***********************************************************************
	*                   SPREADSHEET SPECIFIC MESSAGES                     *
	***********************************************************************
*/
#define  SS_GETCELLDATA          WM_USER + 1
#define  SS_SETCELLDATA          WM_USER + 2
#define  SSN_NEWCELL             WM_USER + 3
#define  SS_DISPLAYCELL          WM_USER + 4
#define  SS_GETSSHEETHANDLE      WM_USER + 5
#define	SS_SETCOLJUST		 		WM_USER + 6
#define	SS_SETCOLTITLE    	 	WM_USER + 7
#define	SS_SETCOLWIDTH    	 	WM_USER + 8
#define	SS_SETDEFFONT    	 		WM_USER + 9
#define	SS_INITSSHEET    	 		WM_USER + 10
#define	SS_GETCURROW     	 		WM_USER + 11
#define	SS_GETCURCOL     	 		WM_USER + 12
